# Uses of Enum Class
javafx.geometry.NodeOrientation

Packages that use NodeOrientation
Package
Description
javafx.css
Provides API for making properties styleable via CSS and for supporting pseudo-class state.
javafx.geometry
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.

## Uses of NodeOrientation in javafx.css

Methods in javafx.css that return NodeOrientation
Modifier and Type
Method
Description
`NodeOrientation`
SimpleSelector.`getNodeOrientation()`

## Uses of NodeOrientation in javafx.geometry

Methods in javafx.geometry that return NodeOrientation
Modifier and Type
Method
Description
`static NodeOrientation`
NodeOrientation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NodeOrientation[]`
NodeOrientation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of NodeOrientation in javafx.scene

Methods in javafx.scene that return NodeOrientation
Modifier and Type
Method
Description
`final NodeOrientation`
Node.`getEffectiveNodeOrientation()`
Gets the value of the `effectiveNodeOrientation` property.
`final NodeOrientation`
Scene.`getEffectiveNodeOrientation()`
Gets the value of the `effectiveNodeOrientation` property.
`final NodeOrientation`
Node.`getNodeOrientation()`
Gets the value of the `nodeOrientation` property.
`final NodeOrientation`
Scene.`getNodeOrientation()`
Gets the value of the `nodeOrientation` property.
Methods in javafx.scene that return types with arguments of type NodeOrientation
Modifier and Type
Method
Description
`final ReadOnlyObjectProperty<NodeOrientation>`
Node.`effectiveNodeOrientationProperty()`
The effective orientation of a node resolves the inheritance of node orientation, returning either left-to-right or right-to-left.
`final ReadOnlyObjectProperty<NodeOrientation>`
Scene.`effectiveNodeOrientationProperty()`
The effective node orientation of a scene resolves the inheritance of node orientation, returning either left-to-right or right-to-left.
`final ObjectProperty<NodeOrientation>`
Node.`nodeOrientationProperty()`
Property holding NodeOrientation.
`final ObjectProperty<NodeOrientation>`
Scene.`nodeOrientationProperty()`
Property holding NodeOrientation.
Methods in javafx.scene with parameters of type NodeOrientation
Modifier and Type
Method
Description
`final void`
Node.`setNodeOrientation(NodeOrientation orientation)`
Sets the value of the `nodeOrientation` property.
`final void`
Scene.`setNodeOrientation(NodeOrientation orientation)`
Sets the value of the `nodeOrientation` property.